## org.eclipse.datatools.sqltools.launching
Interface IExtendedLaunchSupport

public interface IExtendedLaunchSupport

This interface should be implemented by clients that need to customize the routine object launching behavior.

Author:
  Shifeng Yu

Method Summary
`void` `postLaunch(ILaunchConfiguration config, java.sql.Connection conn, java.lang.String mode)` Does all post treatment in this method after launching
`void` `preLaunch(ILaunchConfiguration config, java.sql.Connection conn, java.lang.String mode)` Does all pretreatment in this method before launching

Method Detail

### preLaunch

    public void preLaunch(ILaunchConfiguration config,
                          java.sql.Connection conn,
                          java.lang.String mode)
                   throws CoreException

  Does all pretreatment in this method before launching

  Parameters:
    `config` -
    `conn` - the connection object
    `mode` -
  Throws:
    `CoreException`

### postLaunch

    public void postLaunch(ILaunchConfiguration config,
                           java.sql.Connection conn,
                           java.lang.String mode)
                    throws CoreException

  Does all post treatment in this method after launching

  Parameters:
    `config` -
    `conn` - the connection object
    `mode` -
  Throws:
    `CoreException`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.